<?php
/**
 * Template part for displaying a scroll top in footer.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Blogbuster
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$blogbuster_scroll_top_enable = blogbuster_get_customizer_option_value( 'blogbuster_scroll_top_enable' );

if ( false === $blogbuster_scroll_top_enable ) {
    return;
}

/**
 * hook - blogbuster_before_scroll_top
 * 
 * @since 1.0.0
 */
do_action( 'blogbuster_before_scroll_top' );

$blogbuster_scroll_top_arrow = blogbuster_get_customizer_option_value( 'blogbuster_scroll_top_arrow' );
?>
    <div id="mt-scrollup">
        <i class="fas <?php echo esc_attr( $blogbuster_scroll_top_arrow ); ?>"></i>
    </div><!-- #mt-scrollup -->
<?php
/**
 * hook - blogbuster_after_scroll_top
 * 
 * @since 1.0.0
 */
do_action( 'blogbuster_after_scroll_top' );